<?php
/**
 * Clase FN para CrBusquedaFN
 *
 * @package    
 * @subpackage CrBusquedaFN
 * @author     Willy
 * @version    SVN:: CrBusquedaFN.class.php,v 1.1 2022-01-06 11:31:44 william.taype Exp $
 */
class CrBusquedaFN extends BaseCrBusquedaFN
{
 public function buildConsult()
  {
    try
    {
      $where = "";

      if($this->getIdbusqueda()){ $where .= " AND idbusqueda = '".$this->getIdbusqueda()."'"; }
      if(is_array($this->getEstados())){
	  }
      if($this->getTipobusqueda()){ $where .= " AND tipobusqueda = '".$this->getTipobusqueda()."'"; }
      if($this->getDocumento()){ $where .= " AND documento = '".$this->getDocumento()."'"; }
      if($this->getNombrecompleto()){ $where .= " AND nombrecompleto = '".$this->getNombrecompleto()."'"; }
      if($this->getNombrecompletolike()){ $where .= " AND nombrecompleto like '%".$this->getNombrecompletolike()."%'"; }
      if($this->getOrigenbusqueda()){ $where .= " AND origenbusqueda = '".$this->getOrigenbusqueda()."'"; }
      if($this->getFechaemision()){ $where .= " AND fechaemision = '".$this->getFechaemision()."'"; }
      if($this->getFechacaducidad()){ $where .= " AND fechacaducidad = '".$this->getFechacaducidad()."'"; }
      if($this->getEstado()){ $where .= " AND estado = '".$this->getEstado()."'"; }
      
       if(is_array($this->getEstados())){
      	 $where .= " AND estado in ('".implode("','",$this->getEstados())."')";
    }
      if($this->getIdcliente()){ $where .= " AND idcliente = '".$this->getIdcliente()."'"; }
      if($this->getFechaasociarbusqueda()){ $where .= " AND fechaasociarbusqueda = '".$this->getFechaasociarbusqueda()."'"; }
      if($this->getTramaresultado()){ $where .= " AND tramaresultado = '".$this->getTramaresultado()."'"; }
      if($this->getFechacreacion()){ $where .= " AND fechacreacion = '".$this->getFechacreacion()."'"; }
      if($this->getUsuariocreacion()){ $where .= " AND usuariocreacion = '".$this->getUsuariocreacion()."'"; }
      if($this->getToken()){ $where .= " AND token = '".$this->getToken()."'"; }
      return $where;
    }catch ( Exception $o_Error ){
      throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
    }
  }
}